package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

import org.json.JSONObject;

import java.util.ArrayList;
import java.util.List;

public class TrayMakeBean implements Parcelable {
    private String need_confirm= "N";
    private String confirm_msg= "";
    private String voice_name= "";
    private String show_weight_img= "";
    private String show_text= "";
    private List<TakePictureBean> need_photo= new ArrayList<>();
    private String tracking_number= "";
    private String box_number= "";
    private int ab_img_id= 0;
    private int has_do_dui= 0;
    private int  ben_box_qty = 2;
    private List<StorageRecordBean> zuijin_nums= new ArrayList<>();

    public TrayMakeBean(){

    }


    protected TrayMakeBean(Parcel in) {
        need_confirm = in.readString();
        confirm_msg = in.readString();
        voice_name = in.readString();
        show_weight_img = in.readString();
        show_text = in.readString();
        need_photo = in.createTypedArrayList(TakePictureBean.CREATOR);
        tracking_number = in.readString();
        box_number = in.readString();
        ab_img_id = in.readInt();
        has_do_dui = in.readInt();
        ben_box_qty = in.readInt();
        zuijin_nums = in.createTypedArrayList(StorageRecordBean.CREATOR);
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(need_confirm);
        dest.writeString(confirm_msg);
        dest.writeString(voice_name);
        dest.writeString(show_weight_img);
        dest.writeString(show_text);
        dest.writeTypedList(need_photo);
        dest.writeString(tracking_number);
        dest.writeString(box_number);
        dest.writeInt(ab_img_id);
        dest.writeInt(has_do_dui);
        dest.writeInt(ben_box_qty);
        dest.writeTypedList(zuijin_nums);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<TrayMakeBean> CREATOR = new Creator<TrayMakeBean>() {
        @Override
        public TrayMakeBean createFromParcel(Parcel in) {
            return new TrayMakeBean(in);
        }

        @Override
        public TrayMakeBean[] newArray(int size) {
            return new TrayMakeBean[size];
        }
    };

    public String getNeedConfirm() {
        return need_confirm;
    }

    public void setNeedConfirm(String need_confirm) {
        this.need_confirm = need_confirm;
    }

    public String getConfirmMsg() {
        return confirm_msg;
    }

    public void setConfirmMsg(String confirm_msg) {
        this.confirm_msg = confirm_msg;
    }

    public String getVoiceName() {
        return voice_name;
    }

    public void setVoiceName(String voice_name) {
        this.voice_name = voice_name;
    }

    public String getShowWeightImg() {
        return show_weight_img;
    }

    public void setShowWeightImg(String show_weight_img) {
        this.show_weight_img = show_weight_img;
    }

    public String getShowText() {
        return show_text;
    }

    public void setShowText(String show_text) {
        this.show_text = show_text;
    }

    public List<TakePictureBean> getNeedPhoto() {
        return need_photo;
    }

    public void setNeedPhoto(List<TakePictureBean> need_photo) {
        this.need_photo = need_photo;
    }

    public String getTrackingNumber() {
        return tracking_number;
    }

    public void setTrackingNumber(String tracking_number) {
        this.tracking_number = tracking_number;
    }

    public String getBoxNumber() {
        return box_number;
    }

    public void setBoxNumber(String box_number) {
        this.box_number = box_number;
    }


    public List<StorageRecordBean> getZuijinNums() {
        return zuijin_nums;
    }

    public void setZuijinNums(List<StorageRecordBean> zuijin_nums) {
        this.zuijin_nums = zuijin_nums;
    }

    public int getAbImgId() {
        return ab_img_id;
    }

    public void setAbImgId(int ab_img_id) {
        this.ab_img_id = ab_img_id;
    }

    public int getHasDoDui() {
        return has_do_dui;
    }

    public void setHasDoDui(int has_do_dui) {
        this.has_do_dui = has_do_dui;
    }

    public int getBenBoxQty() {
        return ben_box_qty;
    }

    public void setBenBoxQty(int ben_box_qty) {
        this.ben_box_qty = ben_box_qty;
    }
}
